<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CustomerGroup extends Model
{
    protected $table = "customer_groups";


    public function broadcast(){
        return $this->hasMany('App\Model\GroupBroadcast','group_id','id');
    }

    public function customers(){
        return $this->hasMany('App\Model\CustomerGroupCustomer','customer_group_id','id');
    }
}
