<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class WhatsappCampaignHistory extends Model
{
    protected $table='create_whatsapp_campaign_history';


    public function contactsCount(){
        return $this->hasMany("App\Model\WhatsappCampaignContacts",'campaign_id','id')->select(DB::raw('count(*) as count'))->groupBy('id');
    }

    public function contacts(){
        return $this->hasMany("App\Model\WhatsappCampaignContacts",'campaign_id','id');
    }

    public function whatsapp_sms(){
        return $this->hasMany(WhatsappSmsHistory::class,'campaign_id','id');
    }

}
