<?php

namespace App\Events;
 use Illuminate\Support\Facades\Auth;
 use stdClass;
 
class WhatsApp
{
    public function __construct()
    { 
        $this->wassiToken = "0fbb8c63816f2069777fdf29c52f423a91c1d70c4632006413fbee2f236025019ac83dc6ca104f84";
    }

    /**
     * Get SMS History
     */

    public function getMessageById($queryData)
    {
      
        $requestUrl = "https://api.wassi.chat/v1/messages?".$queryData;
           
            $request_headers = array(
                "token:" . $this->wassiToken,
                "Content-Type:" . "application/json"
            );
      
        /**
         * Param contains "phone":"+1234567890","message":"Hello world! This is a test message."
         */

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => $requestUrl,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => $request_headers,
          ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);
        
        $data = new stdClass();
        if ($err) {
            $data->success = false;
            $data->data = $err;
            return json_encode($data);
        } else {
            
            $data->success = true;
            $data->data = $response;
            return json_encode($data);
        }
    }



    /**
     * Post Whatsapp Message
     */
    public function post($param)
    {
        $requestUrl = "https://api.wassi.chat/v1/messages";
        $request_headers = array(
            "token:" . $this->wassiToken,
           "Content-Type:" . "application/json"
        );
        /**
         * Param contains "phone":"+1234567890","message":"Hello world! This is a test message."
         */

        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => $requestUrl,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => $param,
        CURLOPT_HTTPHEADER => $request_headers,
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);
        
        $data = new stdClass();
        if ($err) {
            $data->success = false;
            $data->data = $err;
            return json_encode($data);
        } else {
            
            $data->success = true;
            $data->data = $response;
            return json_encode($data);
        }
    }


    public function wassiFileUpload($param)
    {

        $requestUrl = "https://api.wassi.chat/v1/files?reference=custom-id";

        $request_headers = array(
            "token:" . $this->wassiToken,
           "Content-Type:" . "application/json"
        );

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => $requestUrl,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $param,
            CURLOPT_HTTPHEADER => $request_headers,
          ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);
        
        $data = new stdClass();
        if ($err) {
            $data->success = false;
            $data->data = $err;
            return json_encode($data);
        } else {
            $data->success = true;
            $data->data = $response;
            return json_encode($data);
        }
    }


    public function postBulk($ids,$param)
    {
        $requestUrl = "https://api.wassi.chat/v1/messages";
        $request_headers = array(
            "token:" . $this->wassiToken,
           "Content-Type:" . "application/json"
        );
        /**
         * Param contains "phone":"+1234567890","message":"Hello world! This is a test message."
         */

        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => $requestUrl,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => $param,
        CURLOPT_HTTPHEADER => $request_headers,
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);
        
        $data = new stdClass();
        if ($err) {
            $data->success = false;
            $data->data = $err;
            return json_encode($data);
        } else {
            
            $data->success = true;
            $data->data = $response;
            return json_encode($data);
        }
    }


}

?>
